import request from '@/utils/request'

// 查询VIP订单列表
export function listVipOrder(query) {
  return request({
    url: '/tools/vipOrder/list',
    method: 'get',
    params: query
  })
}

// 查询VIP订单详细
export function getVipOrder(orderId) {
  return request({
    url: '/tools/vipOrder/' + orderId,
    method: 'get'
  })
}

// 新增VIP订单
export function addVipOrder(data) {
  return request({
    url: '/tools/vipOrder',
    method: 'post',
    data: data
  })
}

// 修改VIP订单
export function updateVipOrder(data) {
  return request({
    url: '/tools/vipOrder',
    method: 'put',
    data: data
  })
}

// 删除VIP订单
export function delVipOrder(orderId) {
  return request({
    url: '/tools/vipOrder/' + orderId,
    method: 'delete'
  })
}

// 导出VIP订单
export function exportVipOrder(query) {
  return request({
    url: '/tools/vipOrder/export',
    method: 'get',
    params: query
  })
}